cURL
curl --request GET \
--url https://api-v2.ziina.com/api/payment_intent/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.ziina.com/api/payment_intent/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.ziina.com/api/payment_intent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.ziina.com/api/payment_intent/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.ziina.com/api/payment_intent/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v2.ziina.com/api/payment_intent/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.ziina.com/api/payment_intent/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"account_id": "<string>",
"amount": 123,
"tip_amount": 123,
"vat_amount": 123,
"settled": {
"amount": 123,
"tip_amount": 123,
"vat_amount": 123,
"currency_code": "<string>"
},
"currency_code": "<string>",
"created_at": "<string>",
"status": "requires_payment_instrument",
"operation_id": "<string>",
"fee_amount": 123,
"message": "<string>",
"redirect_url": "<string>",
"embedded_url": "<string>",
"success_url": "<string>",
"cancel_url": "<string>",
"latest_error": {
"message": "<string>",
"code": "<string>"
},
"allow_tips": false,
"card_details": {
"card_last_four": "<string>",
"card_brand": "visa",
"card_funding_type": "credit",
"card_category": "consumer",
"card_bin": "<string>",
"card_issuer": "<string>",
"card_country_code": "<string>",
"card_sub_brand": "<string>"
}
}Payment Intent
Get Payment Intent
Retrieve payment intent details from Ziina’s API to monitor user transactions and update your frontend or backend logic accordingly
GET
/
payment_intent
/
{id}
cURL
curl --request GET \
--url https://api-v2.ziina.com/api/payment_intent/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-v2.ziina.com/api/payment_intent/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.ziina.com/api/payment_intent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-v2.ziina.com/api/payment_intent/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.ziina.com/api/payment_intent/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-v2.ziina.com/api/payment_intent/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-v2.ziina.com/api/payment_intent/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"account_id": "<string>",
"amount": 123,
"tip_amount": 123,
"vat_amount": 123,
"settled": {
"amount": 123,
"tip_amount": 123,
"vat_amount": 123,
"currency_code": "<string>"
},
"currency_code": "<string>",
"created_at": "<string>",
"status": "requires_payment_instrument",
"operation_id": "<string>",
"fee_amount": 123,
"message": "<string>",
"redirect_url": "<string>",
"embedded_url": "<string>",
"success_url": "<string>",
"cancel_url": "<string>",
"latest_error": {
"message": "<string>",
"code": "<string>"
},
"allow_tips": false,
"card_details": {
"card_last_four": "<string>",
"card_brand": "visa",
"card_funding_type": "credit",
"card_category": "consumer",
"card_bin": "<string>",
"card_issuer": "<string>",
"card_country_code": "<string>",
"card_sub_brand": "<string>"
}
}Authorizations
Response
default - application/json
Created payment intent
Currency code of the amount to charge. This should be a 3-letter ISO-4217 currency code. For example, if you wish to charge 10 AED, you should pass AED. For more information on supported currencies, please visit the supported currencies page
Status of the transaction. You can find more details here
Available options:
requires_payment_instrument, requires_user_action, pending, completed, failed, canceled Was this page helpful?